import math
import cv2
import numpy as np

def psnr_color(img1, img2, width, height):    
    sum = 0;
    for i in range (height):
        for j in range(width):
            for k in range(3):
                sum += (img1[i,j,k] - img2[i,j,k]) * (img1[i,j,k] - img2[i,j,k])
    mse = sum / (3*width*height)
    psnr = 20 * math.log10(255/math.sqrt(mse))
    return psnr

first_image = cv2.imread("image_013.png")
height, width, channels = first_image.shape
first = np.zeros([height, width, channels], dtype=np.float32)
first[:,:,:]=first_image[:,:,:]

second_image = cv2.imread("image_013_1.png")
second = np.zeros([height, width, channels], dtype=np.float32)
second = second_image
second[:,:,:]=second_image[:,:,:]

print(psnr_color(first, second, width, height))